Name:           monit
Version:        5.33.0
Release:    1%{?dist}
Summary:        Manages and monitors processes, files, directories and devices

License:        AGPLv3
URL:            https://mmonit.com/monit/
Source0:        https://mmonit.com/monit/dist/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: gcc
BuildRequires: flex
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: byacc
BuildRequires: systemd
BuildRequires: zlib-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: autoconf

%{?systemd_requires}
BuildRequires: systemd
BuildRequires: systemd-rpm-macros

%description
monit is a utility for managing and monitoring, processes, files, directories
and devices on a UNIX system. Monit conducts automatic maintenance and repair
and can execute meaningful causal actions in error situations.


%prep
%autosetup -p1

touch -r aclocal.m4 configure*
touch -r libmonit/aclocal.m4 libmonit/configure*

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -p -D -m0600 monitrc %{buildroot}%{_sysconfdir}/monitrc
install -p -D -m0755 monit %{buildroot}%{_bindir}/monit

mkdir -p %{buildroot}%{_unitdir}
install -m0644 system/startup/monit.service %{buildroot}%{_unitdir}/monit.service

mkdir -p %{buildroot}%{_sysconfdir}/monit.d

%{__sed} -i 's/# set daemon  120.*/set daemon 60  # check services at 1-minute intervals/' \
    %{buildroot}%{_sysconfdir}/monitrc

%{__sed} -i 's/#  include \/etc\/monit.d\/\*/include \/etc\/monit.d\/\*/' \
    %{buildroot}%{_sysconfdir}/monitrc

%post
%systemd_post monit.service

[ -f %{_sysconfdir}/monit.conf ] &&
    touch -r %{_sysconfdir}/monitrc %{_sysconfdir}/monit.conf &&
    mv -f %{_sysconfdir}/monit.conf %{_sysconfdir}/monitrc 2> /dev/null || :

%preun
%systemd_preun monit.service

%postun
%systemd_postun_with_restart monit.service

%files
%doc CHANGES COPYING
%config(noreplace) %{_sysconfdir}/monitrc
%{_unitdir}/monit.service
%{_sysconfdir}/monit.d/
%{_bindir}/%{name}
%{_mandir}/man1/monit.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.33.0-1
- initial build
